This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 588192 - RA-learned nameservers flaps in and out of /etc/resolv.conf
RA-learned nameservers flaps in and out of /etc/resolv.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 538499
  Show dependency treegraph
 
Reported: 2010-05-03 01:58 EDT by Tore Anderson
Modified: 2010-06-10 15:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: NetworkManager-0.8.1-0.1.git20100510.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-03 13:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (11.60 KB, text/plain)
2010-05-03 01:58 EDT, Tore Anderson
no flags Details

  None (edit)
Description Tore Anderson 2010-05-03 01:58:05 EDT
Created attachment 410898 [details]
/var/log/messages

(NetworkManager-0.8.0-10.git20100502.fc12.x86_64)

In a network with SLAAC and RDNSS-in-RA (no DHCPv6), the nameserver jumps in and out of /etc/resolv.conf.  My radvd.conf is as follows:

> interface eth0 {
> 	AdvSendAdvert on;
> 	MaxRtrAdvInterval 30;
> 	prefix 2001:16d8:ee47::/64 {
> 		AdvAutonomous on;
> 	};
> 	RDNSS 2001:16d8:ee47::5:1aac {};
> };

I'm attaching a log from activating a wired ethernet on my test host.  2001:16d8:ee47::5:1aac showed up in /etc/resolv.conf immediately following the device activation, but it disappeared at 07:50:01 (leaving only the DHCPv4-learned name server in there).  At 07:50:17 a RA was received, and this caused the IPv6 name-server to be re-added.  This seems to happen constantly - at 07:50:47 it also disappeared and at 07:50:17 it reappeared (following the receipt of a RA).

Tore
Comment 1 Dan Williams 2010-05-03 06:04:24 EDT
Fixed in commit c21416e9565b9a1274ca605e7baeee8ce2f6f94f upstream, thanks for the report.
Comment 2 Fedora Update System 2010-05-03 08:22:02 EDT
NetworkManager-0.8.0-11.git20100503.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-11.git20100503.fc13
Comment 3 Fedora Update System 2010-05-03 08:26:30 EDT
NetworkManager-0.8.0-11.git20100503.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-11.git20100503.fc12
Comment 4 Tore Anderson 2010-05-03 13:42:37 EDT
I can confirm it's fixed in git20100503, thanks!

Tore
Comment 5 Fedora Update System 2010-05-04 19:50:39 EDT
NetworkManager-0.8.0-11.git20100503.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-05-05 05:16:10 EDT
NetworkManager-0.8.0-12.git20100504.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-12.git20100504.fc13
Comment 7 Fedora Update System 2010-05-05 05:18:52 EDT
NetworkManager-0.8.0-12.git20100504.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.0-12.git20100504.fc12
Comment 8 Fedora Update System 2010-05-06 03:02:18 EDT
NetworkManager-0.8.0-12.git20100504.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-11 02:54:55 EDT
NetworkManager-0.8.1-0.1.git20100510.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/NetworkManager-0.8.1-0.1.git20100510.fc12
Comment 10 Fedora Update System 2010-06-10 15:06:33 EDT
NetworkManager-0.8.1-0.1.git20100510.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.